@import "./shared/vars.less";
@import "./mainPage.less";

html, body {
  background-color: @bg-primary;
}

.dark {
  font-family: "vt323";
  background-color: @bg-primary;
  color: @text-primary;

  input:-webkit-autofill,
  input:-webkit-autofill:hover,
  input:-webkit-autofill:focus,
  input:-webkit-autofill:active {
    -webkit-box-shadow: 0 0 0 20px black inset !important;
    -webkit-text-fill-color: @text-primary !important;
  }
}

.dark .button {
  background-color: @bg-primary;
  color: @text-primary;
  box-shadow: 0px 0px 2px #999;
  border: none;
  margin: 10px;
}

.dark .form-text-input {
  outline: 0;
  border: 0;
  border-bottom: 1px solid @text-primary;
}

.dark .form-text-input-label {
  margin-right: 5px;

  &:before {
    content: "> ";
  }
}

.dark .text-window {
  border: 1px solid green;
}
